Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.remoting.caucho
Class BurlapServiceExporter

    java.lang.Object
      org.springframework.remoting.support.RemoteExporter
          org.springframework.remoting.caucho.BurlapServiceExporter

All Implemented Interfaces:
  BeanClassLoaderAware, InitializingBean, HttpRequestHandler

    public class BurlapServiceExporter

extends RemoteExporter
implements HttpRequestHandler, InitializingBean

HTTP request handler that exports the specified service bean as Burlap service endpoint, accessible via a Burlap proxy.

Burlap is a slim, XML-based RPC protocol. For information on Burlap, see the Burlap website

This exporter will work with both Burlap 2.x and 3.x (respectively Resin 2.x and 3.x), autodetecting the corresponding skeleton class.

Note: Burlap services exported with this class can be accessed by any Burlap client, as there isn't any special handling involved.

Since:
  13.05.2003
Author:
  Juergen Hoeller
See Also:
  `BurlapClientInterceptor`, `BurlapProxyFactoryBean`, `HessianServiceExporter`, `HttpInvokerServiceExporter`, `RmiServiceExporter`

Field Summary

Fields inherited from class org.springframework.remoting.support.RemoteExporter
`logger`

Constructor Summary
`BurlapServiceExporter()`

Method Summary
`void` | `afterPropertiesSet()` Invoked by a BeanFactory after it has set all bean properties supplied (and satisfied BeanFactoryAware and ApplicationContextAware).
`void` | `handleRequest(HttpServletRequest request, HttpServletResponse response)` Processes the incoming Burlap request and creates a Burlap response.
`void` | `prepare()` Initialize this service exporter.

Methods inherited from class org.springframework.remoting.support.RemoteExporter
`checkService, checkServiceInterface, getExporterName, getProxyForService, getService, getServiceInterface, isRegisterTraceInterceptor, setBeanClassLoader, setRegisterTraceInterceptor, setService, setServiceInterface`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BurlapServiceExporter

    public BurlapServiceExporter()

Method Detail

### afterPropertiesSet

    public void afterPropertiesSet()

  Description copied from interface: `InitializingBean`
  Invoked by a BeanFactory after it has set all bean properties supplied (and satisfied BeanFactoryAware and ApplicationContextAware).

  This method allows the bean instance to perform initialization only possible when all bean properties have been set and to throw an exception in the event of misconfiguration.

  Specified by:
    `afterPropertiesSet` in interface `InitializingBean`

### prepare

    public void prepare()

  Initialize this service exporter.

### handleRequest

    public void handleRequest(HttpServletRequest request,
                              HttpServletResponse response)
                       throws ServletException,
                              IOException

  Processes the incoming Burlap request and creates a Burlap response.

  Specified by:
    `handleRequest` in interface `HttpRequestHandler`
  Parameters:
    `request` - current HTTP request
    `response` - current HTTP response
  Throws:
    `ServletException` - in case of general errors
    `IOException` - in case of I/O errors

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| The Spring Framework
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2007 The Spring Framework.